support paths..

Discussion in 'AutoCAD' started by C Witt, Feb 10, 2004.

  1. C Witt

    C Witt Guest

    We use the lisp routine below to add to our "support file search path"..

    my question is.. how do we change it so we can add to the "device driver
    file search path"

    (vl-load-com)
    (setq files (vla-get-files (vla-get-preferences (vlax-get-acad-object))))
    (setq supppaths (strcat (vla-get-supportpath files) ";"))
    (setq current_directory (findfile "acad.lsp"))
    (setq cd_length (strlen current_directory))
    (setq new_length (vl-string-position (ascii "\\") current_directory nil T))
    (setq current_directory (substr current_directory 1 new_length))
    (setq cd_length (strlen current_directory))
    (setq new_length (vl-string-position (ascii "\\") current_directory nil T))
    (setq acadpath (strcat (substr current_directory 1 new_length) "\\"))
    (setq fontpath (strcat acadpath "FONTS;"))
    (setq palettepath (strcat acadpath "Palettes;"))
    (setq paths (strcat supppaths fontpath palettepath "C:\\base palettes"))
    (vla-put-supportpath files paths)
     
    C Witt, Feb 10, 2004
    #1
  2. If you had browsed the object model map in the ActiveX Reference you would
    have found the DriversPath property to the PreferencesFiles object (which
    you already know how to get from the posted code).


    --
    R. Robert Bell, MCSE
    www.AcadX.com


    We use the lisp routine below to add to our "support file search path"..

    my question is.. how do we change it so we can add to the "device driver
    file search path"

    (vl-load-com)
    (setq files (vla-get-files (vla-get-preferences (vlax-get-acad-object))))
    (setq supppaths (strcat (vla-get-supportpath files) ";"))
    (setq current_directory (findfile "acad.lsp"))
    (setq cd_length (strlen current_directory))
    (setq new_length (vl-string-position (ascii "\\") current_directory nil T))
    (setq current_directory (substr current_directory 1 new_length))
    (setq cd_length (strlen current_directory))
    (setq new_length (vl-string-position (ascii "\\") current_directory nil T))
    (setq acadpath (strcat (substr current_directory 1 new_length) "\\"))
    (setq fontpath (strcat acadpath "FONTS;"))
    (setq palettepath (strcat acadpath "Palettes;"))
    (setq paths (strcat supppaths fontpath palettepath "C:\\base palettes"))
    (vla-put-supportpath files paths)
     
    R. Robert Bell, Feb 10, 2004
    #2
  3. C Witt

    C Witt Guest

    If I new such a map existed, then yes that is true.
     
    C Witt, Feb 10, 2004
    #3
  4. Help -> Developer Help -> Contents ->
    ActiveX and VBA Reference -> Object Model
     
    Jason Piercey, Feb 10, 2004
    #4
  5. C Witt

    C Witt Guest

    Thank you.
     
    C Witt, Feb 11, 2004
    #5
  6. You're welcome.
     
    Jason Piercey, Feb 11, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.